///////////////////////////////////////////////////////////////////////////////
//
// File:    lcdshift.h
// Author:  Roger Rowland
//
// Created: November 2014
//
///////////////////////////////////////////////////////////////////////////////

#ifndef LCDSHIFT_H
#define	LCDSHIFT_H

///////////////////////////////////////////////////////////////////////////////
// public LCD function prototypes for 16x2 LCD via 595 shift register
///////////////////////////////////////////////////////////////////////////////

void LCDSHRInit();                              // initialise LCD
void LCDSHRClear();                             // clear LCD display
void LCDSHRWriteHex(uint8_t uValue);            // write hex value to LCD
void LCDSHRWriteString(const char *szMsg);      // write string to LCD
void LCDSHRGotoXY(uint8_t x, uint8_t y);        // position cursor to xy

#endif	/* LCDSHIFT_H */

