///////////////////////////////////////////////////////////////////////////////
//
// File:    ps2mouse.h
// Author:  Roger Rowland
//
// Created: November 2014
//
///////////////////////////////////////////////////////////////////////////////

#ifndef PS2MOUSE_H
#define	PS2MOUSE_H

///////////////////////////////////////////////////////////////////////////////
// public data
///////////////////////////////////////////////////////////////////////////////

volatile uint8_t g_uPS2PosX, g_uPS2PosY, g_uPSBtn;      // PS/2 mouse position and buttons

///////////////////////////////////////////////////////////////////////////////
// public PS/2 mouse function prototypes
///////////////////////////////////////////////////////////////////////////////

uint8_t PS2Init();                                      // initialise ps/2 mouse
uint8_t PS2GetInitStatus();                             // return initialisation status
inline void PS2StartStreaming();                        // start ps/2 mouse streaming
inline void PS2Interrupt();                             // called on falling clock edge

#endif	/* PS2MOUSE_H */

